#!/bin/bash
# -*- coding: utf-8 mode: sh -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8
source /etc/nulib.sh || exit 1

function sy() {
    rsync -av ${Fake:+n} "$FROM/$1" "${@:2}"
}

Fake=
args=(
    "synchoniser les infos depuis les librairies nur-*"
    #"usage"
    -n,--fake Fake=1
)
parse_args "$@"; set -- "${args[@]}"

cd "$MYDIR"

# tout ce qui est entre if false; ...; fi a déjà été migré

if false; then
FROM=../nur-tests
sy src/ nur_src/t/
fi

if false; then
FROM=../nur-base
sy src_api/ nur_src/
for i in b cli config data io m php ref tools v; do
    sy src_$i/ nur_src/$i/
done
sy public/ nur_public/
##sy sbin/ nur_sbin/ --exclude /composer.phar
sy tests/ nur_tests/
#sy tbin/ nur_tbin/
fi

if false; then
FROM=../nur-v-bs3
sy src/ nur_src/v/bs3/
sy public/ nur_public/
fi

if false; then
FROM=../nur-m-pdo
sy src/ nur_src/m/pdo/
fi

if false; then
FROM=../nur-m-oracle
sy src/ nur_src/m/oracle/
fi

if false; then
FROM=../nur-m-pgsql
sy src/ nur_src/m/pgsql/
fi

if false; then
FROM=../nur-mapper
sy src/ nur_src/mapper/
sy tests/ nur_tests/mapper/
#sy tbin/ nur_tbin/
fi

if false; then
FROM=../nur-passwd
sy src/ nur_src/passwd/
sy tests/ nur_tests/passwd/
#sy tbin/ nur_tbin/
fi

if false; then
FROM=../nur-ldap
sy src/ nur_src/ldap/
sy tests/ nur_tests/ldap/
#sy tbin/ nur_tbin/
fi

if false; then
./nur_sbin/update_classes.php
fi
